# Commission Line Item Events

Receive webhooks when new commission line items occur. Several commission line items can be part of one payout event.&#x20;

{% hint style="info" %}
With this webhook, you'll receive events related to your own company account as well as the company accounts of your downlines.
{% endhint %}

***

<details>

<summary>Sample Payload</summary>

{% code overflow="wrap" %}

```json
{
  "event_name": "First Year Commission",
  "event_date": "2026-04-20T15:45:00Z",
  "linked_commission_line_item": {
    "line_item_id": "1776772304993x781245903456120001",
    "line_item_external_id": "comm_ext_984512",
    "amount": 425.50,
    "premium_payment": 850.00,
    "premium_commission_percentage": 0.50,
    "payment_date": "2026-04-18T00:00:00Z",
    "statement_date": "2026-04-01T00:00:00Z",
    "payout_id": "1776772304993x781245903456120099",
    "linked_case": "1776772304993x781245903456120145",
    "linked_case_insured_name": "Michael Anderson",
    "linked_advisor": "1776772304993x781245903456120210",
    "linked_advisor_name": "Jane Doe",
    "advisor_split_percentage": 0.80,
    "linked_carrier": "1776772304993x781245903456120333",
    "linked_carrier_name": "John Hancock",
    "payment_recipient_id": "1776772304993x781245903456120444",
    "payment_recipient_name": "Acme Insurance Group LLC",
    "payor_id": "1776772304993x781245903456120555",
    "payor_name": "John Hancock",
    "payment_type": "Advance",
    "commission_type": "Target Premium"
  }
}
```

{% endcode %}

</details>

**Data Returned by this Event:**

<table><thead><tr><th>Field Label</th><th>Field Key</th><th>Field Type</th><th>Example Value</th><th>Description</th></tr></thead><tbody><tr><td>Event Name</td><td>event_name</td><td>Multiple-choice</td><td>Life First Year</td><td>See options below.</td></tr><tr><td>Event Date</td><td>event_date</td><td>Date/Time in ISO 8601</td><td><pre><code>2024-03-15T14:30:00Z
</code></pre></td><td>The time the event was recorded.</td></tr><tr><td>Commission Line Item Object</td><td>linked_commission_line_item</td><td>Object</td><td>See <a href="/pages/Q1QQvQwW63Yx6uN8iYQ5">Commission Line Item(s)</a></td><td>A commission line item object - see <a href="/pages/Q1QQvQwW63Yx6uN8iYQ5">full Commission Line Item(s) documentation</a> for shape reference. </td></tr></tbody></table>

**Event name options:**

<table data-header-hidden data-header-sticky><thead><tr><th></th></tr></thead><tbody><tr><td>Annuity Bonus</td></tr><tr><td>Annuity First Year</td></tr><tr><td>Annuity Renewal</td></tr><tr><td>Disability Bonus</td></tr><tr><td>Disability Excess</td></tr><tr><td>Disability First Year</td></tr><tr><td>Disability Renewal</td></tr><tr><td>Life Bonus</td></tr><tr><td>Life Excess</td></tr><tr><td>Life First Year</td></tr><tr><td>Life PUA</td></tr><tr><td>Life Renewal</td></tr><tr><td>Life Term Rider</td></tr><tr><td>Linked Benefit Bonus</td></tr><tr><td>Linked Benefit Excess</td></tr><tr><td>Linked Benefit First Year</td></tr><tr><td>Linked Benefit PUA</td></tr><tr><td>Linked Benefit Renewal</td></tr><tr><td>Linked Benefit Term Rider</td></tr><tr><td>LTC Bonus</td></tr><tr><td>LTC First Year</td></tr><tr><td>LTC Renewal</td></tr><tr><td>Variable Life Bonus</td></tr><tr><td>Variable Life Excess</td></tr><tr><td>Variable Life First Year</td></tr><tr><td>Variable Life Renewal</td></tr><tr><td>Minimum Fee</td></tr></tbody></table>

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whiteswan.io/partner-knowledge-base/api-documentation/webhooks/commission-line-item-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
